﻿@using DTO;
@{
    ViewBag.Title = "Liaotian";
    Layout = "~/Views/Shared/_Layout_Search.cshtml";

    List<PageEntity> ActionInfo2 = ViewData["ActionInfo2"] as List<PageEntity>;

     
}
@section headerStyle{
    <script type="text/javascript">
        var gglx = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.gglx))';

        var cgfs = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.cgfs))';

         var shengDropDown = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.ShengDropDown))';
        var Creater = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.Creater))';


          var Baomingtimebegin = '@Html.Raw(ViewBag.Baomingtimebegin)';
        var Baomingtimeend = '@Html.Raw(ViewBag.Baomingtimeend)';

        loseherght = 110;
        dataCol = [
            { label: 'id', name: 'Id', labtype: 'txt', hidden: true },

            {
                label: '公告时间', name: 'NoticeTime', labtype: 'txt', hidden: false, width: 90 ,
                formatter: function (v) {
                    return $.trim(v) == '' ? '' : $.trim(v).substring(0, 10); //$.trim(v).replace("T"," ")
                }
            },
            { label: '项目区域', name: 'ShengName', labtype: 'txt', hidden: false, width: 160  },
            {
                label: '项目名称', name: 'Title', labtype: 'txt', hidden: false, width: 500 ,
                formatter: function (cellvalue, options, rowObject) {

                    

                    return "<a onclick=\"OpenWindow('" + cellvalue.replaceAll("\"", "") + "','98%','100%', '/Project/ADDZhengfuProject?id=" + rowObject.Id + "')\"  > " + cellvalue.replaceAll("\"", "") + " </a>";
                }
            }, { label: '项目编号', name: 'OpenTenderCode', labtype: 'txt', hidden: false, width: 140 },
            { label: '公告类型', name: 'GglxName', labtype: 'txt', hidden: false},
            { label: '采购方式', name: 'CgfsName', labtype: 'txt', hidden: false },
            { label: '创建人', name: 'CreaterName', labtype: 'txt', hidden: false },
             

        ];
        dataUrl = "/Project/GetZhengfuProjectList?StartTime=" + Baomingtimebegin + "|" + Baomingtimeend ;
        searchCol = [
            //{ label: '公告时间', name: 'StartTimestar', labtype: 'date', hidden: false },
            //{ label: '--', name: 'StartTimeend', labtype: 'date', hidden: false, cwidth: '1%', cccwidth: '15%' },
            { label: '公告时间', name: 'StartTime', labtype: 'datearea', hidden: false },
            { label: '省', name: 'Sheng', labtype: 'combox', hidden: false, data: JSON.parse(shengDropDown), cwidth: '2%', cccwidth: '6%' },
            { label: '', name: 'City', labtype: 'combox', hidden: false, data: JSON.parse('[]'), cwidth: '0%', cccwidth: '6%' },
            { label: '', name: 'AreaId', labtype: 'combox', hidden: false, data: JSON.parse('[]'), cwidth: '0%', cccwidth: '6%' },
            { label: '公告编号', name: 'Number', labtype: 'txt', hidden: false },
            { label: '公告名称', name: 'Name', labtype: 'txt', hidden: false },

            { label: '公告类型', name: 'Gglx', labtype: 'combox', hidden: false, data: JSON.parse(gglx)/*, cwidth: '5%', cccwidth: '8%' */ },
            { label: '采购方式', name: 'Cgfs', labtype: 'combox', hidden: false, data: JSON.parse(cgfs) },



            { label: '录入时间', name: 'Createtime', labtype: 'datearea', hidden: false },
            { label: '录入人', name: 'Creater', labtype: 'combox', hidden: false, data: JSON.parse(Creater)/*, cwidth: '5%', cccwidth: '8%'*/ },

 



        ];
        var _pageAdd = function () {
            OpenWindow("新增项目", "98%", "90%", "/Project/ADDZhengfuProject");
        }

        var _pageSearch = function () {

            $("#jqGrid").jqGrid('setGridParam', {
                url: dataUrl = "/Project/GetZhengfuProjectList" , postData: jsons, page: 1
            }); //重新载入
            var jsons = GetSearchEnd();
            if (jsons == false) {
                msg.info("请录入查询条件");
                return false;
            }
            LoadGrid(jsons);
        }


        function LoadGrid(jdata) {

            var pages = $('.ui-pg-input').val();
            var paggg = parseInt(pages);

            //alert(paggg);

            if (paggg == NaN || paggg==0 ) {
                paggg=1
            }

            var postData = $('#jqGrid').jqGrid("getGridParam", "postData");
            $.each(lastSearch, function (k, v) {
                delete postData[k];
            });
            lastSearch = jdata;
            //   alert(JSON.stringify(jdata));
            //  $('#jqGrid').jqGrid('clearGridData');

            $.extend(jdata, { totalrows: 0 });

            $("#jqGrid").jqGrid('setGridParam', {
                postData: jdata, page: paggg
            }); //重新载入
            $("#jqGrid").trigger("reloadGrid");
            // $("#jqGrid").trigger("reloadGrid");

            toSetTooBarVal();

        }

        var _afterSave = function (result) {
            if (result) {
                toastr.success("保存成功");
            } else {
                toastr.error("保存失败");
            }
        }

        var _afterDel = function (result) {
            if (result) {
                toastr.success("删除成功");
            } else {
                /**/
                toastr.error("删除成功");
        /**/
    }
}
    </script>
}

@section footerScripts{
    <script type="text/javascript">

        function send() {

            var msg = $("#PBSSheng");


            if (msg.length > 0) {
                $("#PBSSheng").change(function () {
                    var sheng = $("#PBSSheng").val();
                    $.ajax({
                        type: "GET",
                        url: "/Project/getCity?shengid=" + sheng,
                        dataType: "json",
                        global: false,
                        data: "",
                        success: function (data) {

                            var city = $("#PBSCity");
                            city.find('option').remove();
                            var aaa = '<option value="" hassubinfo="true">&nbsp;</option>';
                            city.append(aaa);
                            if (data.length > 0) {
                                for (var i = 0; i < data.length; i++) {

                                    var o = '<option value="' + data[i].CodeId + '" hassubinfo="true">' + data[i].Name + '</option>';
                                    city.append(o);
                                }
                            }
                            $("#PBSCity").trigger('chosen:updated');//更新选项
                        },
                        error: function () {


                            parent.layer.msg('失败', { icon: 5 });
                        }
                    });
                });

            } else {
                setTimeout(send, 1000);
            }
        }


        send();



        function sendCity() {

            var msg = $("#PBSCity");


            if (msg.length > 0) {
                $("#PBSCity").change(function () {

                    var city = $("#PBSCity").val();
                    $.ajax({
                        type: "GET",
                        url: "/Project/getAreaId?cityid=" + city,
                        dataType: "json",
                        global: false,
                        data: "",
                        success: function (data) {

                            var quxian = $("#PBSAreaId");
                            quxian.find('option').remove();
                            var aaa = '<option value="" hassubinfo="true">&nbsp;</option>';
                            quxian.append(aaa);
                            if (data.length > 0) {
                                for (var i = 0; i < data.length; i++) {

                                    var o = '<option value="' + data[i].CodeId + '" hassubinfo="true">' + data[i].Name + '</option>';
                                    quxian.append(o);
                                }
                            }
                            $("#PBSAreaId").trigger('chosen:updated');//更新选项
                        },
                        error: function () {


                            parent.layer.msg('失败', { icon: 5 });
                        }
                    });
                });

            } else {
                setTimeout(sendCity, 1000);
            }
        }


        sendCity();



        $(function () {
            $("#PBSAreaId").parent().next().remove();
            $("#PBSName").parent().after("<br>");
            $("#PBSCgfs").parent().next().remove();
            

            $("#PBSStartTimeend").val(Baomingtimeend);

            $("#PBSStartTimestart").val(Baomingtimebegin);

        });

    </script>
}
